PostgreSQL La base de donnees la plus sophistiquee au monde.

Forums PostgreSQL.fr

Le forum officiel de la communauté francophone de PostgreSQL

Vous n'êtes pas identifié(e).

#1 02/09/2016 09:59:31

Postgres9.6: pltcl

Bonjour,

J'ai installé postgres9.6 pour faire quelques tests sur cette version (installation via code source sous debian car pas de packets dispo).
J'ai ces erreurs lors d'un psql -f avec un de mes dumps :

psql:/opt/infocentre.dat:345: ERROR:  could not open extension control file "/usr/local/pgsql/share/extension/pltcl.control": Aucun fichier ou dossier de ce type
psql:/opt/infocentre.dat:352: ERROR:  extension "pltcl" does not exist
...

Or si je liste les extensions dispo dans le repertoire contrib de mes sources j'ai:

adminpack     btree_gin   contrib-global.mk  dict_xsyn	    hstore	     intarray  ltree_plpython  passwordcheck	pg_prewarm	    pgstattuple    README   sslinfo	   test_decoding    unaccent
auth_delay    btree_gist  cube		     earthdistance  hstore_plperl    isn       Makefile        pg_buffercache	pgrowlocks	    pg_trgm	   seg	    start-scripts  tsearch2	    uuid-ossp
auto_explain  chkpass	  dblink	     file_fdw	    hstore_plpython  lo        oid2name        pgcrypto		pg_standby	    pg_visibility  sepgsql  tablefunc	   tsm_system_rows  vacuumlo
bloom	      citext	  dict_int	     fuzzystrmatch  intagg	     ltree     pageinspect     pg_freespacemap	pg_stat_statements  postgres_fdw   spi	    tcn		   tsm_system_time  xml2

Pas de pltcl à l'horizon...

Quelle extension dois-je utiliser svp?

Merci par avance,

Olivier Bouiron

Hors ligne

#2 02/09/2016 10:08:19

Marc Cousin
Membre

Re : Postgres9.6: pltcl

Il faut bien que vous utilisiez pltcl. Mais effectivement elle n'est pas là. Probablement parce que vous avez compilé vous-même, sans indiquer à configure que vous voulez pltcl. C'est l'option "--with-tcl". Vous avez la même pour perl et python d'ailleurs.

Hors ligne

#3 02/09/2016 11:27:56

rjuju
Administrateur

Re : Postgres9.6: pltcl

Sinon, la version 9.6 RC1 est bien disponible pour debian : http://apt.postgresql.org/pub/repos/apt … resql-9.6/

En ligne

#4 05/09/2016 09:32:36

Re : Postgres9.6: pltcl

Merci pour vos réponses.
Effectivement je n'avais pas ajouté l'option --with-tcl, mais si je peux faire un apt-get c'est encore mieux, merci Julien.

Hors ligne

Pied de page des forums